
From: Richard Purdie <rpurdie@rpsys.net>

This fixes what looks like a bit/byte counting error in the MMC/SD code
which was causing data corruption (in the -mm tree).

Signed-off-by: Richard Purdie <rpurdie@rpsys.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/mmc/mmc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/mmc/mmc.c~sd-scr-register-fix-a-bit-byte-counting-error-in-the-mmc-sd-code drivers/mmc/mmc.c
--- devel/drivers/mmc/mmc.c~sd-scr-register-fix-a-bit-byte-counting-error-in-the-mmc-sd-code	2005-08-21 23:48:41.000000000 -0700
+++ devel-akpm/drivers/mmc/mmc.c	2005-08-21 23:48:41.000000000 -0700
@@ -881,7 +881,7 @@ static void mmc_read_scrs(struct mmc_hos
 		mrq.cmd = &cmd;
 		mrq.data = &data;
 
-		sg_init_one(&sg, (u8*)card->raw_scr, 64);
+		sg_init_one(&sg, (u8*)card->raw_scr, 8);
 
 		err = mmc_wait_for_req(host, &mrq);
 		if (err != MMC_ERR_NONE) {
_
